This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 818069

Summary: suggestion for DIR_COLORS - allow "include" in the dircolors
Product: [Fedora] Fedora Reporter: Paul <pnewell>
Component: coreutilsAssignee: Ondrej Oprala <ooprala>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: kdudka, maxamillion, ooprala, ovasik, p, twaugh
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-11 11:07:11 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Paul 2012-05-02 03:11:08 EDT
Description of problem:
Per Bug 817218 - htm files not in DIR_COLORS, I am submitting this "sug" at the suggestion of Ondrej Vasik

It would be great if the user local version of ~/.dir_colors had the ability to source /etc/DIR_COLORS so that a user could make changes to ~/etc/DIR_COLORS without having to give up the evolution of /etc/DIR_COLORS (either via yum or a new Fedora release)

It could allow a user to prepend any changes that he/she wishes to make over what is in /etc/DIR_COLORS and allow /etc/DIR_COLORS to handle the rest. I would think the optimal behavior would be to process ~/.dir_colors and, if a match is found, use it; otherwise, source /etc/DIR_COLORS to see what the system wants to do.

It can't depend on bash as the user might be using a different shell (I am thinking tschrc as that is the example I am seeing on my machine)

I would also like to see a html color code included in the file so, for example, "brown" had a #xxyyzz code for the 0x00-0xff for the rgb ("brown" is mighty subjective (smile)).

If Ondrej or others think I need to clarify this, please let me know

Thanks,
Paul

Version-Release number of selected component (if applicable):
F16 is where I discovered 817218

How reproducible:
N/A

Steps to Reproduce:
1. N/A
2.
3.
  
Actual results:
N/A

Expected results:
N/A

Additional info:
N/A
Comment 1 Ondrej Oprala 2013-03-11 11:07:11 EDT
Thanks for the report; a patch to handle "INCLUDE file" in init files is now in rawhide.
Comment 2 Paul 2013-03-11 22:27:33 EDT
Ondrej:

Thank you. Look forward to testing once its the official release

Paul